Name:           nettop
Version:        0.2.3
Release:        1%{?dist}
Summary:        top-like program for network packets

Group:          System Environment/Base
License:        BSD
URL:            http://srparish.net/scripts/
Source0:        http://srparish.net/scripts/nettop-0.2.3.tar.gz
Source1:        nettop-console.apps
Source2:        nettop-pam
Patch0:         compile.patch
Patch1:         install-path.patch
Patch2:         black-background.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libpcap-devel, slang-devel
Requires:       usermode, pam

%description
Nettop is a program which looks like top, but is for network packets.


%prep
%setup -q

%patch0 -p1 -b .compile
%patch1 -p1 -b .install-path
%patch2 -p1 -b .black-background

%build
%configure --with-slang-includes=%{_includedir}/slang
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
make install DESTDIR=$RPM_BUILD_ROOT
cd $RPM_BUILD_ROOT/%{_bindir} && ln -sf consolehelper %{name}

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps
install -m 0644 %SOURCE1 $RPM_BUILD_ROOT/%{_sysconfdir}/pam.d/%{name}
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/security/console.apps/%{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_sbindir}/*
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}
%doc ChangeLog README THANKS



%changelog
* Fri Jan 02 2008 Bernard Johnson <bjohnson@symetrix.com> - 0.2.3-1
- initial release
